
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #391

Write ID3v2.3 tags

January 10, 2014 04:57 - 明衡 汪

Status: Closed Start date: January 10, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudtag Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.4.2   

Description

I find when I edit a mp3 file's artist field in audacious,it will only take effect in audacious,and other music applications can't detect

information added in audacious.For example,if a song's artist field is empty,and I add the artist name in audacious,it will still be empty

when played in other apps.I don't know if this could be a bug,since it works well in audacious,so I file a feature request.

History

#1 - January 10, 2014 06:24 - John Lindgren

- Category changed from plugins/albumart to libaudtag

Audacious does write a newer version of ID3 tag (v2.4) than is supported by some other programs.

#2 - January 11, 2014 00:01 - John Lindgren

- Assignee deleted (明衡 汪)

#3 - January 11, 2014 20:24 - John Lindgren

- Subject changed from mp3 tag only recognised by audacious to Write ID3v2.3 tags

#4 - January 20, 2014 00:11 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.5

- % Done changed from 0 to 100

Fixed in Git master.  Audacious will write an ID3v2.3 tag if that is what the file already has.  I tested with an MP3 from Amazon, and it was still

readable in Windows Media Player after editing in Audacious.
